const nav = document.querySelector('.scroll');

window.onscroll = function () {
	'use strict';
	const top = window.scrollY;
	if (top >= 5) {
		nav.classList.add('scrolled');
	} else {
		nav.classList.remove('scrolled');
	}
};

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		nav.style.top = "-50%";
		navOverlay.classList.remove("active");
		hamburgerMode.classList.remove("toggle");
	} else {
		nav.style.top = "0";
	}
	lastScrollTop = scrollTop;
});

const navOverlay = document.querySelector('.sidebar_overlay'),
	navSidebar = document.querySelector('.sidebar'),
	hamburgerMode = document.querySelector('.hamburger');

hamburgerMode.addEventListener('click', () => {
	navOverlay.classList.toggle("active");
	hamburgerMode.classList.toggle("toggle");
});